---
title: '-webkit-border-before'
slug: Web/CSS/-webkit-border-before
tags:
  - '-webkit-border-before'
  - CSS
  - CSS Property
  - 'CSS:WebKit Extensions'
  - Non-standard
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}{{Non-standard_header}}</div>

<p>The <strong><code>-webkit-border-before</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property is a shorthand property for setting the individual logical block start border property values in a single place in the style sheet.</p>

<pre class="brush:css no-line-numbers notranslate">/* Border values */
-webkit-border-before: 1px;
-webkit-border-before: 2px dotted;
-webkit-border-before: medium dashed blue;

/* Global values */
-webkit-border-before: inherit;
-webkit-border-before: initial;
-webkit-border-before: unset;
</pre>

<p><code>-webkit-border-before</code> can be used to set the values for one or more of: {{cssxref("-webkit-border-before-width")}}, {{cssxref("-webkit-border-before-style")}}, and {{cssxref("-webkit-border-before-color")}}. It maps to a physical border depending on the element's writing mode, directionality, and text orientation. It corresponds to the {{cssxref("border-top")}}, {{cssxref("border-right")}}, {{cssxref("border-bottom")}}, or {{cssxref("border-left")}} property depending on the values defined for {{cssxref("writing-mode")}}, {{cssxref("direction")}}, and {{cssxref("text-orientation")}}.</p>

<p>It relates to {{cssxref("-webkit-border-after")}}, {{cssxref("-webkit-border-start")}}, and {{cssxref("-webkit-border-end")}}, which define the other borders of the element.</p>

<p>This property is on the standard track as {{cssxref("border-block-start")}}.</p>

<h2 id="Syntax">Syntax</h2>

<h3 id="Values">Values</h3>

<p>One or more of the following, in any order:</p>

<dl>
 <dt><code>&lt;'border-width'&gt;</code></dt>
 <dd>See {{cssxref("border-width")}}</dd>
 <dt><code>&lt;'border-style'&gt;</code></dt>
 <dd>See {{cssxref("border-style")}}</dd>
 <dt><code>&lt;'color'&gt;</code></dt>
 <dd>See {{cssxref("color")}}</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Applying_a_border_with_vertical_text">Applying a border with vertical text</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div&gt;
  &lt;p class="exampleText"&gt;Example text&lt;/p&gt;
&lt;/div&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">div {
  background-color: yellow;
  width: 120px;
  height: 120px;
}

.exampleText {
  writing-mode: vertical-rl;
  -webkit-border-before: 5px dashed blue;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Applying_a_border_with_vertical_text", 140, 140)}}</p>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard, but it relates to the standards-track {{cssxref("border-block-start")}} property.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.-webkit-border-before")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("border-block-start")}}</li>
 <li>The mapped physical properties: {{cssxref("border-top")}}, {{cssxref("border-right")}}, {{cssxref("border-bottom")}}, and {{cssxref("border-left")}}</li>
 <li>{{cssxref("writing-mode")}}, {{cssxref("direction")}}, {{cssxref("text-orientation")}}</li>
</ul>
